Skip to content

Submit an unverified IBAN account for the authenticated user.

POST
/api/v2/user/accounts/iban

If the IBAN already exists for this user, a 201 response is returned without creating a duplicate.

object
holder

The name of the account holder.

string
""
Example
John Doe
iban
required

The IBAN account number.

string
""
Example
NL37BUNQ2025406444

IBAN account successfully submitted.

object
accountIdentifier
required

The account identifier (IBAN).

string
Example
NL37BUNQ2025406444

A list of possible errors for this endpoint.

object
code
required
string
Allowed values: ER056 ER086 ER113 ER187 ER188 ER700 ER701 ER702 ER703 ER704 ER705 ER706 ER707 ER708 ER709 ER800 ER801 ER802 ER803 ER805 ER806 ER999
message
required
string
solution
required
string
Example
{
"errors": {
"ER056": {
"code": "ER056",
"message": "Invalid IBAN number provided.",
"solution": "Provide a valid IBAN number."
},
"ER086": {
"code": "ER086",
"message": "Disabled IBAN account provided.",
"solution": "Provide a non-disabled IBAN account. A list of valid accounts can be retrieved from /api/v1/user/info."
},
"ER113": {
"code": "ER113",
"message": "No IBAN account provided.",
"solution": "Provide a valid IBAN account."
},
"ER187": {
"code": "ER187",
"message": "Invalid holder name.",
"solution": "Provide a valid holder name."
},
"ER188": {
"code": "ER188",
"message": "The account cannot be instantly verified.",
"solution": "The account could not be automatically verified. It may still be verified by support."
},
"ER700": {
"code": "ER700",
"message": "User authorization token not found.",
"solution": "Provide a user authorization token."
},
"ER701": {
"code": "ER701",
"message": "User authorization token has expired.",
"solution": "Request a new authorization token, or refresh the token."
},
"ER702": {
"code": "ER702",
"message": "User authorization token is invalid.",
"solution": "Provide a valid user authorization token."
},
"ER703": {
"code": "ER703",
"message": "User identifier does not belong to the user in the user authorization token.",
"solution": "Provide a valid user identifier, or remove the user identifier header."
},
"ER704": {
"code": "ER704",
"message": "No user identifier found in headers.",
"solution": "Provide a valid user identifier, or use the user/password authentication mechanism to request a user token and send that."
},
"ER705": {
"code": "ER705",
"message": "User identifier is not linked to a user.",
"solution": "Provide a valid user identifier, link this user identifier to a user account, or use the user/password authentication mechanism."
},
"ER706": {
"code": "ER706",
"message": "User identifier is invalid.",
"solution": "Provide a valid user identifier, a unique identifier string for the user account that is not already in use."
},
"ER707": {
"code": "ER707",
"message": "User identifier is invalid.",
"solution": "Please provide an identifier, consisting of 36 - 255 characters, numeric or alphanumeric only."
},
"ER708": {
"code": "ER708",
"message": "There is a pending document for this side.",
"solution": "Wait for the pending document to be reviewed."
},
"ER709": {
"code": "ER709",
"message": "User not found, or user has been deleted.",
"solution": "Provide a valid user identifier."
},
"ER800": {
"code": "ER800",
"message": "Authorization token is invalid.",
"solution": "Provide a valid authorization token."
},
"ER801": {
"code": "ER801",
"message": "Authorization token has expired.",
"solution": "Request a new authorization token."
},
"ER802": {
"code": "ER802",
"message": "Authorization token not found.",
"solution": "Provide an authorization token."
},
"ER803": {
"code": "ER803",
"message": "Multiple authorization methods used.",
"solution": "Use exactly one authorization method."
},
"ER805": {
"code": "ER805",
"message": "API key is invalid.",
"solution": "Provide a valid API key."
},
"ER806": {
"code": "ER806",
"message": "API key not found.",
"solution": "Provide an API key."
},
"ER999": {
"code": "ER999",
"message": "A general error has occurred. Please contact our support team.",
"solution": "Contact our support team."
}
}
}